+1 323 268 0395 kmw@caltek.net

odoo-11 mailing list archives

(virtualenv-attic) root@core ~ [...]

by
Kenneth Wyrick
- 04/29/2018 16:25:17

(virtualenv-attic) root@core ~# pip3 install qrcode
Downloading/unpacking qrcode
  Downloading qrcode-6.0-py2.py3-none-any.whl
Cleaning up...
Exception:
Traceback (most recent call last):
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/pkg_resources.py", line 2595, in _dep_map
    return self.__dep_map
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/pkg_resources.py", line 2457, in __getattr__
    raise AttributeError(attr)
AttributeError: _DistInfoDistribution__dep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/root/virtualenv-attic/lib/python3.4/site-packages/pip/basecommand.py", line 122, in main
    status = self.run(options, args)
  File "/root/virtualenv-attic/lib/python3.4/site-packages/pip/commands/install.py", line 290, in run
    requirement_set.prepare_files(finder, force_root_egg_info=self.bundle, bundle=self.bundle)
  File "/root/virtualenv-attic/lib/python3.4/site-packages/pip/req.py", line 1266, in prepare_files
    req_to_install.extras):
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/pkg_resources.py", line 2401, in requires
    dm = self._dep_map
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/pkg_resources.py", line 2597, in _dep_map
    self.__dep_map = self._compute_dependencies()
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/pkg_resources.py", line 2630, in _compute_dependencies
    common = frozenset(reqs_for_extra(None))
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/pkg_resources.py", line 2627, in reqs_for_extra
    if req.marker_fn(override={'extra':extra}):
  File "/root/virtualenv-attic/lib/python-wheels/setuptools-5.5.1-py2.py3-none-any.whl/_markerlib/markers.py", line 113, in marker_fn
    return eval(compiled_marker, environment)
  File "<environment marker>", line 1, in <module>
NameError: name 'platform_system' is not defined

Storing debug log for failure in /root/.pip/pip.lo